org.eclipse.wst.jsdt.core

## Interface ILookupScope

All Known Subinterfaces:
  IClassFile, IExportContainer, IExportDeclaration, IField, IFunction, IImportContainer, IImportDeclaration, IInitializer, IJavaScriptElement, IJavaScriptModel, IJavaScriptProject, IJavaScriptUnit, ILocalVariable, IMember, IPackageFragment, IPackageFragmentRoot, IType, ITypeRoot

    public interface ILookupScope

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.wst.jsdt.internal.core.NameLookup` `newNameLookup(IJavaScriptUnit[] workingCopies)`
`org.eclipse.wst.jsdt.internal.core.NameLookup` `newNameLookup(WorkingCopyOwner owner)`
`org.eclipse.wst.jsdt.internal.core.SearchableEnvironment` `newSearchableNameEnvironment(IJavaScriptUnit[] workingCopies)`
`org.eclipse.wst.jsdt.internal.core.SearchableEnvironment` `newSearchableNameEnvironment(WorkingCopyOwner owner)`

### Method Detail

#### newNameLookup

    org.eclipse.wst.jsdt.internal.core.NameLookup newNameLookup(IJavaScriptUnit[] workingCopies)
                                                         throws JavaScriptModelException

Throws:
  `JavaScriptModelException`

#### newNameLookup

    org.eclipse.wst.jsdt.internal.core.NameLookup newNameLookup(WorkingCopyOwner owner)
                                                         throws JavaScriptModelException

Throws:
  `JavaScriptModelException`

#### newSearchableNameEnvironment

    org.eclipse.wst.jsdt.internal.core.SearchableEnvironment newSearchableNameEnvironment(IJavaScriptUnit[] workingCopies)
                                                                                   throws JavaScriptModelException

Throws:
  `JavaScriptModelException`

#### newSearchableNameEnvironment

    org.eclipse.wst.jsdt.internal.core.SearchableEnvironment newSearchableNameEnvironment(WorkingCopyOwner owner)
                                                                                   throws JavaScriptModelException

Throws:
  `JavaScriptModelException`